import {select, arc} from 'd3';


const height = 500;
const width = 960;

const svg = select('body')
	.append('svg')
	.attr('width', width)
	.attr('height', height);

const g = svg.append('g')
	.attr('transform',`translate(${width /2},${height/2})`)


const circle = g.append('circle')
  .attr('r', 200)
	.attr('fill','yellow')
	.attr('stroke','black')

const eyeG = g.append('g')
	.attr('transform', 'translate(0,-70)');


// transition not follow append
const eyeBrowG = eyeG
	.append('g');

eyeBrowG
	.attr('transform', 'translate(0,-70)')
	.transition().duration(1000)
	.attr('transform', 'translate(0,-100)')
	.transition().duration(1000)
	.attr('transform', 'translate(0,-70)');


const leftEye = eyeG.append('circle')
  .attr('r', 30)
	.attr('cx', -100)


const RightEye = eyeG.append('circle')
  .attr('r', 30)
	.attr('cx', +100)

const leftEyebrow = eyeBrowG.append('rect')
	.attr('x', -125)
	.attr('width',50)
	.attr('height',20)



const rightEyebrow = eyeBrowG.append('rect')
	.attr('x', 65)
	.attr('width',50)
	.attr('height',20)



const mouth = g.append('path')
	.attr('d', arc()({
  	innerRadius:0,
    outerRadius:100,
    startAngle: Math.PI/2,
    endAngle:Math.PI *3 /2
  }));
